12 Replies - 626 Views - Last Post: 12 December 2019 - 06:40 AM Rate Topic: -----

#1 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

addressing the errors of netBeans IDE installation for python usage

Posted 05 December 2019 - 07:20 PM

guys,

I don't know if it's invalid posting this here, but the netBeans forum does not get a lot of attention. What I experienced when trying to install netBeans is apparently a widespread problem. After running the exe, I first got "no JDK found on this computer", then after trying solution 4 using the cmd prompt to point to the JRE, of course i get "JVM unsupported. Apparently I have both the SDK and the JRE installed cuz the SDK is in program files and the JRE is in program files x86. when i ran the cmd, I pointed at the JRE folder. I've seen threads that say running java versions that are too new will also cause these errors. is this true? if true, can someone tell me what the right version of JRE or SDK for java I need to get this to go thru? Here are my specs:

win 10 64 bit
netbeans installer 6.5
Java 8 update 231 (JRE)
Java SE dev kit 13.0.1 64 bit

comments certainly welcome!

Is This A Good Question/Topic? 0
  • +

Replies To: addressing the errors of netBeans IDE installation for python usage

#2 modi123_1   User is online

  • Suitor #2
  • member icon



Reputation: 15427
  • View blog
  • Posts: 61,802
  • Joined: 12-June 08

Re: addressing the errors of netBeans IDE installation for python usage

Posted 05 December 2019 - 10:47 PM

Any particular reason you are not using the latest netbeats, 11.2?

https://netbeans.apa...load/index.html
Was This Post Helpful? 0
  • +
  • -

#3 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 12:35 AM

maybe cuz there's no python plugin in 11.2?? i downloaded 11.2 from ur link but I don't see it in the list. am i missing something?

proof, modi......

no python
Was This Post Helpful? 0
  • +
  • -

#4 modi123_1   User is online

  • Suitor #2
  • member icon



Reputation: 15427
  • View blog
  • Posts: 61,802
  • Joined: 12-June 08

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 06:33 AM

Weird. Guess python plugin stopped at 8.
Was This Post Helpful? 0
  • +
  • -

#5 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 06:49 AM

modi,

I will check whether or not Python 8.x plugin can be installed with netBeans 11.2, which I have now installed. If it can't be, what would you suggest I do? go to another Python IDE?
Was This Post Helpful? 0
  • +
  • -

#6 astonecipher   User is offline

  • Senior Systems Engineer
  • member icon

Reputation: 3038
  • View blog
  • Posts: 11,669
  • Joined: 03-December 12

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 07:01 AM

Is the requirement to use NetBeans, because anything is better really.
Was This Post Helpful? 0
  • +
  • -

#7 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 07:02 AM

it was suggested that I use netBeans for PHP development, by an expert on PHPhelp.com. He mentioned that netBeans is also good for Python dev, but I didn't carry the conv. any further than that. so i assumed....
Was This Post Helpful? 0
  • +
  • -

#8 astonecipher   User is offline

  • Senior Systems Engineer
  • member icon

Reputation: 3038
  • View blog
  • Posts: 11,669
  • Joined: 03-December 12

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 07:13 AM

Who? I'm a mod there and I can't think of anyone that would make that recommendation. Python would be PyCharm, PHP would be Eclipse or PHPStorm, and really any text editor will work for both of those as well.
Was This Post Helpful? 0
  • +
  • -

#9 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 07:24 AM

well i don't wanna give you his name my friend. that would make him look stupid. but he's a mod over there too. I was working with him on a PHP issue under a diff UN than I have here. He told me that Eclipse isn't desirable for PHP dev. I have both Eclipse and DWeaver for web dev. and I love dreamweaver cuz it's got intellisense for HTML, CSS and PHP, and prolly for other languages as well, that I do not currently use. I'm not sure if Eclipse has intellisense too? I just don't have it turned on?
Was This Post Helpful? 0
  • +
  • -

#10 modi123_1   User is online

  • Suitor #2
  • member icon



Reputation: 15427
  • View blog
  • Posts: 61,802
  • Joined: 12-June 08

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 08:09 AM

No, you misunderstand me. Per Netbeans documentation netbeans 8.1 supports the python plug in. Not netbeans 11.x supporting python plugin 8.

http://wiki.netbeans.org/PythonInstall

Then again that's about four years old so do what you will.

For me it's Visual Studios with a fallback for Pycharm. Not a fan of Jupyter as it requires a web connection, but there's that.
https://www.datacamp...n-ides-for-2019
Was This Post Helpful? 0
  • +
  • -

#11 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 11:24 AM

r u saying vs has python included? i installed vs 2019 about a week ago and I seem to remember there being an option to include python with the download and installation. I didn't include it though, of course! does vs have intellisense? I will check on PYcharm and see if it's an better than ecl or dw. thanks!
Was This Post Helpful? 0
  • +
  • -

#12 modi123_1   User is online

  • Suitor #2
  • member icon



Reputation: 15427
  • View blog
  • Posts: 61,802
  • Joined: 12-June 08

Re: addressing the errors of netBeans IDE installation for python usage

Posted 06 December 2019 - 12:52 PM

You can read all about it.

https://code.visuals...anguages/python
Was This Post Helpful? 0
  • +
  • -

#13 ajetrumpet   User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 22
  • Joined: 09-November 19

Re: addressing the errors of netBeans IDE installation for python usage

Posted 12 December 2019 - 06:40 AM

sorry it's been a while since I haven't gotten back to you modi. I will read what you gave me and post back if I have questions about it. thanks for providing it!
Was This Post Helpful? 0
  • +
  • -

Page 1 of 1